/*****************************************************************************
 * Copyright (c) 2022 CEA LIST
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License 2.0
 * which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *  Vincent Lorenzo (CEA LIST) <vincent.lorenzo@cea.fr> - Initial API and implementation
 *****************************************************************************/
package org.eclipse.papyrus.sirius.uml.diagram.clazz.internal.constants;

/**
 * This class provides the semantic drop tools ids for Sirius Class Diagram odesign
 */
public class SemanticDropToolsIds {

	private SemanticDropToolsIds() {
		// to prevent instantiation
	}

	public static final String DROP__CLASS__TOOL = "SemanticClassDrop"; //$NON-NLS-1$

	public static final String DROP__COMMENT__TOOL = "SemanticCommentDrop"; //$NON-NLS-1$
	
	public static final String DROP__COMPONENT__TOOL = "SemanticComponentDrop"; //$NON-NLS-1$

	public static final String DROP__CONSTRAINT__TOOL = "SemanticConstraintDrop"; //$NON-NLS-1$

	public static final String DROP__DATATYPE__TOOL = "SemanticDataTypeDrop"; //$NON-NLS-1$

	public static final String DROP__ENUMERATION__TOOL = "SemanticEnumerationDrop"; //$NON-NLS-1$

	public static final String DROP__INFORMATION_ITEM__TOOL = "SemanticInformationItemDrop"; //$NON-NLS-1$

	public static final String DROP__INSTANCE_SPECIFICATION__TOOL = "SemanticInstanceSpecificationDrop"; //$NON-NLS-1$

	public static final String DROP__INTERFACE__TOOL = "SemanticInterfaceDrop"; //$NON-NLS-1$

	public static final String DROP__MODEL__TOOL = "SemanticModelDrop"; //$NON-NLS-1$

	public static final String DROP__OPERATION__TOOL = "SemanticOperationDrop"; //$NON-NLS-1$

	public static final String DROP__PACKAGE__TOOL = "SemanticPackageDrop"; //$NON-NLS-1$

	public static final String DROP__PROPERTY__TOOL = "SemanticPropertyDrop"; //$NON-NLS-1$

	public static final String DROP__PRIMITIVETYPE__TOOL = "SemanticPrimitiveTypeDrop"; //$NON-NLS-1$

	public static final String DROP__SIGNAL__TOOL = "SemanticSignalDrop"; //$NON-NLS-1$


}
